/* 
SVN Revisionsinformationen
$Revision: 415 $
$Date: 2015-10-19 10:06:23 +0200 (Mon, 19. Oct 2015) $  
*/ 
CREATE OR REPLACE VIEW vis_va0089_hit_betriebstyp as
SELECT a010108.sid, a010108.code a010108_code, a010108.bez a010108_bez, 
  a010108.fb a010108_fb, a010108.skz a010108_skz, 
  a0089.axx1_code, a0089.axx2_code, a0089.tv_pos, 
  a0089.bez a0089_bez, -- 02.10.2015 fr bertragung nach C_BETRIEBSART 1.24.3
  CASE WHEN a010108.code = a0089.axx1_code THEN a0089.auswahl ELSE a010108.auswahl END auswahl -- 09.04.2014 war nur a0089.auswahl

FROM vis_a0089 a0089
JOIN vis_a010108 a010108 ON a010108.code like a0089.axx1_code || '%'
  AND a010108.skz = A0089.AXX1_SKZ
  AND a010108.deleted > -2 -- 09.04.2015 = 0 gendert
  AND a0089.axx1_table = 'VIS_A010108'    
  AND a0089.axx2_table = 'HIT_BETRIEBSTYP'
  AND a0089.zb = ( SELECT blv_sys.get_gkz2() FROM DUAL )
  AND a0089.deleted = 0

WHERE NOT EXISTS 
( SELECT /* USE_MERGE(AX2,AX1) */ 1 

  FROM vis_a0089 ax1
  JOIN vis_a010108 ax2 ON ax2.code like ax1.axx1_code || '%'
  AND ax2.skz = ax1.AXX1_SKZ
  AND ax2.deleted > -2 -- 09.04.2015 = 0 gendert
  AND ax1.axx1_table = 'VIS_A010108'    
  AND ax1.axx2_table = 'HIT_BETRIEBSTYP'
  AND ax1.zb = ( SELECT blv_sys.get_gkz2() FROM DUAL )
  AND ax1.deleted = 0

  WHERE ax2.sid = a010108.sid
  AND ax1.tv_pos IN (a0089.tv_pos, 2)
  AND LENGTH(ax1.axx1_code) > LENGTH(a0089.axx1_code)
)
AND a010108.sid NOT IN ( 

  SELECT ax2.sid 
  FROM vis_a0089 ax1
  JOIN vis_a010108 ax2 ON ax2.code like ax1.axx1_code || '%'
    AND ax2.skz = Ax1.AXX1_SKZ
    AND ax2.deleted > -2 -- 09.04.2015 = 0 gendert
    AND ax1.axx1_table = 'VIS_A010108'    
    AND ax1.axx2_table = 'HIT_BETRIEBSTYP'
    AND ax1.zb = ( SELECT blv_sys.get_gkz2() FROM DUAL )
    AND ax1.deleted = 0
    AND ax1.axx2_code = '9999'
)
;

/*
WITH dx AS (
SELECT a010108.sid, a010108.code a010108_code, a010108.bez a010108_bez, 
  a010108.fb a010108_fb, a010108.skz a010108_skz, 
  a0089.axx1_code, a0089.axx2_code, a0089.tv_pos, 
  CASE WHEN a010108.code = a0089.axx1_code THEN a0089.auswahl ELSE a010108.auswahl END auswahl -- 09.04.2014 war nur a0089.auswahl
FROM vis_a0089 a0089
JOIN vis_a010108 a010108 ON a010108.code like a0089.axx1_code || '%'
  AND a010108.skz = A0089.AXX1_SKZ
  AND a010108.deleted > -2 -- 09.04.2015 = 0 gendert
  AND a0089.axx1_table = 'VIS_A010108'    
  AND a0089.axx2_table = 'HIT_BETRIEBSTYP'
  AND a0089.zb = '16' -- 09.04.2015 LIKE gendert
  AND a0089.deleted = 0
)

SELECT dx.* 
FROM dx
WHERE NOT EXISTS 
( SELECT 1 FROM dx dx1
  WHERE dx1.sid = dx.sid
  AND dx1.tv_pos IN (dx.tv_pos, 2)
  AND LENGTH(dx1.axx1_code) > LENGTH(dx.axx1_code)
)
AND dx.sid NOT IN ( SELECT dx0.sid FROM dx dx0 WHERE dx0.axx2_code = '9999')  
*/
CREATE OR REPLACE VIEW vis_va0089_hit_betriebstyp_16 as
SELECT ax.*
FROM vis_va0089_hit_betriebstyp ax
;

CREATE OR REPLACE VIEW vis_va0089_hit_betriebstyp_05 as
SELECT ax.*
FROM vis_va0089_hit_betriebstyp ax
;
